TFiltertestFixture< Image > Class Template Reference

a Fixture to do general plug.in testing More...

`#include <mia/template/filtertest.hh>`

## Public Member Functions

template<typename Filter, typename IN, typename OUT>
void | run (const dimsize_type &in_size, const IN *init_data, const dimsize_type &out_size, const OUT *test_data, const Filter &f)
| TFiltertestFixture ()

## Detailed Description

template<template< class > class Image>
class TFiltertestFixture< Image >

a Fixture to do general plug.in testing

This filter test class runs given filter and tests whether the expected result is obtained and a test attribute is passed on.

Definition at line 39 of file template/filtertest.hh.

## Constructor & Destructor Documentation

## TFiltertestFixture()

template<template< class > class Image>

TFiltertestFixture< Image >::TFiltertestFixture | ( |  | ) |

inline

Definition at line 44 of file template/filtertest.hh.

## Member Function Documentation

## run()

template<template< class > class Image>
template<typename Filter, typename IN, typename OUT>

void TFiltertestFixture< Image >::run | ( | const dimsize_type & | in_size,
|  | const IN * | init_data,
|  | const dimsize_type & | out_size,
|  | const OUT * | test_data,
|  | const Filter & | f )

inline

Template Parameters

  the | filter to test
  the | input pixel type
  the | expected output pixel type

Parameters

  in_size | size of the input image
  init_data | input data array
  out_size | size of the expected output image
  test_data | expected data
  f | filter to run

Definition at line 59 of file template/filtertest.hh.

References cvfail().

The documentation for this class was generated from the following file:

- template/filtertest.hh